curl --request PUT \
--url https://api.virtuoussoftware.com/api/Campaign/{campaignId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"startDate": "<date>",
"endDate": "<date>",
"description": "<string>",
"givingGoal": "<double>",
"newGiverGoal": "<integer>",
"totalGiftGoal": "<integer>",
"hashtag": "<string>",
"googleAnalyticsViewId": "<integer>",
"googleAnalyticsCampaign": "<string>",
"ownerId": "<integer>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
startDate: '<date>',
endDate: '<date>',
description: '<string>',
givingGoal: '<double>',
newGiverGoal: '<integer>',
totalGiftGoal: '<integer>',
hashtag: '<string>',
googleAnalyticsViewId: '<integer>',
googleAnalyticsCampaign: '<string>',
ownerId: '<integer>'
})
};
fetch('https://api.virtuoussoftware.com/api/Campaign/{campaignId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Campaign/{campaignId}"
payload = {
"name": "<string>",
"startDate": "<date>",
"endDate": "<date>",
"description": "<string>",
"givingGoal": "<double>",
"newGiverGoal": "<integer>",
"totalGiftGoal": "<integer>",
"hashtag": "<string>",
"googleAnalyticsViewId": "<integer>",
"googleAnalyticsCampaign": "<string>",
"ownerId": "<integer>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Campaign/{campaignId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"name\": \"<string>\",\n \"startDate\": \"<date>\",\n \"endDate\": \"<date>\",\n \"description\": \"<string>\",\n \"givingGoal\": \"<double>\",\n \"newGiverGoal\": \"<integer>\",\n \"totalGiftGoal\": \"<integer>\",\n \"hashtag\": \"<string>\",\n \"googleAnalyticsViewId\": \"<integer>\",\n \"googleAnalyticsCampaign\": \"<string>\",\n \"ownerId\": \"<integer>\"\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/Campaign/{campaignId}';
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
startDate: '<date>',
endDate: '<date>',
description: '<string>',
givingGoal: '<double>',
newGiverGoal: '<integer>',
totalGiftGoal: '<integer>',
hashtag: '<string>',
googleAnalyticsViewId: '<integer>',
googleAnalyticsCampaign: '<string>',
ownerId: '<integer>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"campaignId": "<integer>",
"name": "<string>",
"description": "<string>",
"startDateTimeUtc": "<dateTime>",
"endDateTimeUtc": "<dateTime>",
"givingGoal": "<double>",
"newGiverGoal": "<integer>",
"totalGiftGoal": "<integer>",
"hashtag": "<string>",
"googleAnalyticsViewId": "<integer>",
"googleAnalyticsCampaign": "<string>",
"ownerId": "<integer>",
"isArchived": "<boolean>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>"
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Update a Campaign
Similar to other update methods in the API, excluding a property will remove its value from the object. If you’re only updating a single property, the entire model is still required.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
(Required) The campaign identifier.
Body
The name of the campaign. Must be unique within the organization.
The start date of the campaign, in the organization's local time zone.
The end date of the campaign, in the organization's local time zone.
The identifier of the organization user who owns the campaign. Use the Get Current Organization endpoint to look up the id of the API user.
A free-text description of the campaign.
The dollar amount the campaign aims to raise. Defaults to 0.
The number of new givers the campaign aims to acquire. Defaults to 0.
The number of gifts the campaign aims to receive. Defaults to 0.
The hashtag associated with the campaign.
The Google Analytics view identifier to track the campaign with.
The Google Analytics campaign name to track the campaign with.
Response
OK
The display name of the record.
The free-text description stored on the record.
The hashtag associated with the campaign.
The Google Analytics view identifier tracking the campaign.
The Google Analytics campaign name tracking the campaign.
The identifier of the organization user who owns the campaign.
The UTC date and time the record was created.
The name of the user who created the record.
The UTC date and time the record was last modified.
The name of the user who last modified the record.
Was this page helpful?